pp(1)

NAME
pp - preprocessor

SYNOPSIS
pp [-d] file [args ...]

DESCRIPTION
The pp utility processes file to produce output that is used as input to another program.

It executes code enclosed in “#!\n” delimiters using sh(1). [args ...] are passed to the embbeded script and are available via the usual $1, $2, ... positional parameters.

The options are as follows:

-d  pp will dump the generated sh(1) code instead of executing it. This is useful for debugging.

EXIT STATUS

EXAMPLES
Preprocess file with arguments:

    $ pp file.upphtml a b

SEE ALSO
sh(1)